#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1300one4xi.py">
#<abstract4xi abstract = "fires to direction one and to distance 1300"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire1300one4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

       
# -------------------------------------------------------------------------------------------------
# SHOT2ONE - COORDINATE SIGNS OF SHOOT2ONE4XI: (X + ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------  

global shot2one13004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings - copied from load2one4xi.py results to access faster by verb4xi.py
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False 


                                    
# -------------------------------------------------------------------------------------------------
# 1300
# -------------------------------------------------------------------------------------------------                                          
shot2one13004xi = {
                  1:'0x0y1299z',
                  2:'0x39y1299z',
                  3:'0x860y974z',
                  4:'101x1202y483z',
                  5:'119x1152y589z',
                  6:'12x142y1292z',
                  7:'130x1065y732z',
                  8:'130x820y999z',
                  9:'135x967y857z',
                  10:'13x22y1299z',
                  11:'163x1190y495z',
                  12:'170x803y1007z',
                  13:'178x1138y601z',
                  14:'184x1050y743z',
                  15:'184x950y867z',
                  16:'18x1087y711z',
                  17:'18x128y1293z',
                  18:'19x34y1299z',
                  19:'1x13y1299z',
                  20:'1x26y1299z',
                  21:'209x783y1016z',
                  22:'224x1175y507z',
                  23:'22x114y1294z',
                  24:'22x46y1298z',
                  25:'232x930y877z',
                  26:'236x1121y612z',
                  27:'237x1031y754z',
                  28:'247x761y1024z',
                  29:'25x100y1295z',
                  30:'25x59y1298z',
                  31:'26x73y1297z',
                  32:'26x86y1296z',
                  33:'277x909y886z',
                  34:'283x737y1032z',
                  35:'284x1157y519z',
                  36:'289x1010y764z',
                  37:'293x1102y624z',
                  38:'317x712y1039z',
                  39:'322x884y896z',
                  40:'339x986y775z',
                  41:'343x1135y531z',
                  42:'348x1079y635z',
                  43:'349x685y1047z',
                  44:'34x993y838z',
                  45:'364x858y905z',
                  46:'379x657y1055z',
                  47:'387x960y785z',
                  48:'38x0y1299z',
                  49:'38x1211y471z',
                  50:'400x1111y542z',
                  51:'402x1053y646z',
                  52:'404x830y914z',
                  53:'407x627y1062z',
                  54:'41x31y1298z',
                  55:'433x596y1070z',
                  56:'433x931y795z',
                  57:'443x799y924z',
                  58:'44x849y982z',
                  59:'454x1025y657z',
                  60:'455x1083y554z',
                  61:'457x565y1077z',
                  62:'478x900y806z',
                  63:'479x532y1084z',
                  64:'479x767y933z',
                  65:'498x498y1091z',
                  66:'49x42y1298z',
                  67:'504x993y669z',
                  68:'509x1053y566z',
                  69:'513x733y942z',
                  70:'516x464y1098z',
                  71:'520x867y816z',
                  72:'531x430y1105z',
                  73:'543x395y1112z',
                  74:'545x698y951z',
                  75:'552x960y680z',
                  76:'560x832y826z',
                  77:'561x1020y578z',
                  78:'56x54y1297z',
                  79:'575x661y959z',
                  80:'598x795y836z',
                  81:'598x924y691z',
                  82:'59x1162y577z',
                  83:'5x155y1290z',
                  84:'602x623y968z',
                  85:'610x984y589z',
                  86:'627x584y977z',
                  87:'62x66y1296z',
                  88:'633x756y846z',
                  89:'641x886y702z',
                  90:'649x544y985z',
                  91:'658x946y601z',
                  92:'666x715y856z',
                  93:'668x504y994z',
                  94:'66x79y1295z',
                  95:'682x845y713z',
                  96:'686x462y1002z',
                  97:'697x673y865z',
                  98:'702x905y612z',
                  99:'70x93y1294z',
                  100:'721x803y723z',
                  101:'724x630y875z',
                  102:'72x107y1293z',
                  103:'73x122y1292z',
                  104:'745x863y624z',
                  105:'749x586y885z',
                  106:'74x1078y722z',
                  107:'757x759y734z',
                  108:'772x541y894z',
                  109:'785x818y635z',
                  110:'78x147y1389z',
                  111:'790x713y745z',
                  112:'7x10y1299z',
                  113:'820x666y756z',
                  114:'822x771y646z',
                  115:'848x618y766z',
                  116:'856x723y658z',
                  117:'85x981y847z',
                  118:'87x836y991z',
                  119:'887x673y669z'}
                  
                         

#"
#"/>
    

# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire1300one4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire1300one4xi(queue2one, consumer_channel2one, publisher_channel2one):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE130ONE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE130ONE4XI -  QUEUE2ONE: ", queue2one)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE130ONE4XI -  CONSUMER_CHANNEL2ONE: ", consumer_channel2one)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE130ONE4XI -  PUBLISHER_CHANNEL2ONE: ", publisher_channel2one)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE130ONE4XI - TRYING TO RETURN BY PUTTING SHOT2ONE13004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2one.put(shot2one13004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE130ONE4XI - SUCCEEDED TO PUT SHOT2ONE13004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
            # SUCCEEDED TO PUT SHOT2ONE13004XI TO QUEUE2ONE:  <queue4xi.Queue4Xi object at 0x02AF7090>  - TIME:  23:45:06 08/24/10 Pacific Daylight Time  
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE130ONE4XI *** FAILED TO PUT SHOT2ONE13004XI TO QUEUE2ONE: ", queue2one, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE130ONE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi())
        #
         
    if ack2put is True:
        message2send4one = "<ack2put4xi>queue2one8shot2one13004xi</ack2put4xi>"
    else:
        message2send4one = "<nack2put4xi>queue2one8shot2one13004xi</nack2put4xi>" 
               
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
      
        publisher_channel2one.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE130ONE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi()) 
            # SENT MESSAGE2SEND4ONE:  <ack2put4xi>queue2one8shot2one13004xi</ack2put4xi>  TO PUBLISHER_CHANNEL2ONE:  <read-write PipeConnection, handle 260>  - TIME:  23:45:06 08/24/10 Pacific Daylight Time
        
    except:
        print(" (STEP 3C/33) OF FIRE130ONE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2ONE: ", publisher_channel2one, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE130ONE4XI - RETURNING QUEUE OBJECT QUEUE2ONE: ", queue2one, " - TIME: ", time4xi())  
        # 
            
    return queue2one    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1300one4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
